MediaWiki:Common.css: Difference between revisions

From The Undead Archive
No edit summary
No edit summary
Line 2: Line 2:
:root {
:root {
--text: #AAACA1;
--text: #AAACA1;
--brown: #56423d;
--red: #E3311D;
--red: #E3311D;
--light-bg: #1e1a1b;
--light-bg: #2a2424;
--medium-bg: #1e1a1b;
--dark-bg: #131010;
}
}


Line 10: Line 13:
{
{
color: var(--text);
color: var(--text);
background:  var(--light-bg);
background:  var(--medium-bg);
}
}


Line 47: Line 50:
padding: 15px;
padding: 15px;
text-align: left;
text-align: left;
background: #56423d;
background: var(--brown);
color: white;
color: white;
}
}
Line 53: Line 56:
.content-table tr:nth-child(odd)
.content-table tr:nth-child(odd)
{
{
background: #2a2424;
background: var(--light-bg);
}
}


Line 139: Line 142:
#mw-site-navigation .sidebar-chunk, #mw-content, #mw-related-navigation .sidebar-chunk
#mw-site-navigation .sidebar-chunk, #mw-content, #mw-related-navigation .sidebar-chunk
{
{
background: #131010;
background: var(--medium-bg);
border-color: #131010;
border-color: var(--medium-bg);
}
}


/* Medium-er Elements */
/* Medium-er Elements */
#mw-content-container
#mw-content-container
{ background: #1e1a1b; }
{ background: var(--medium-bg); }


/* Lighter Elements */
/* Lighter Elements */
#mw-header-container, pre, .toc, .mw-editform #wpTextbox1
#mw-header-container, pre, .toc, .mw-editform #wpTextbox1
{  
{  
background: #2a2424;
background: var(--light-bg);
color: var(--text);
color: var(--text);
border: 0px;
border: 0px;

Revision as of 17:42, 10 June 2026

/* Global Colors */
:root {
--text: #AAACA1;
--brown: #56423d;
--red: #E3311D;
--light-bg: #2a2424;
--medium-bg: #1e1a1b;
--dark-bg: #131010;
}

/* General Styling */
body
{
color: var(--text);
background:  var(--medium-bg);
}

h1, h2
{
text-transform: uppercase;
}

h3
{
color: var(--red);
}

a, a:visited, a.external.text, a.external.text:visited .toctogglelabel:visited, .toctogglelabel, .mw-collapsible-text, .mw-collapsible-toggle::before, .mw-collapsible-toggle::after
{
color: var(--red) !important;
}

a:hover, a.external.text:hover .toctogglelabel:hover, .mw-collapsible-text, .mw-collapsible-toggle::before, .mw-collapsible-toggle::after
{
color: #7C8685 !important;
text-decoration: none !important;
}

a.external
{
background-image: none !important;
padding-right: 0px !important;
}

caption
{ color: var(--text); }

.content-table th
{
padding: 15px;
text-align: left;
background: var(--brown);
color: white;
}

.content-table tr:nth-child(odd)
{
background: var(--light-bg);
}

.content-table td
{
padding: 10px;
vertical-align: top;
}

.infobox-header
{ text-transform: none; }

/* Clickable Buttons */
.mw-ui-button
{
background: var(--red);
border: 0px;
border-radius: 3px;
text-transform: uppercase;
color: white;
}

.mw-ui-button:hover
{
background: #7C8685;
color: #050507;
}

/* First H1 Tag */
.mw-body h1.firstHeading
{ border-bottom: 4px solid var(--text); }

/* "The Undead Archive" Top Left Corner and "YourUsername" Top Right Corner */
#p-logo-text a, #personal h2
{ color: var(--text); }

/* Icons */
#user-tools #personal h2::after
{
color: var(--red);
}

/* Top Colored Bar */
.color-middle, .color-left, .color-right
{ background: var(--red); }

/* Page Name, Discussion, Edit, History */
.tools-inline
{
text-transform: uppercase;
}

.tools-inline li.selected
{
border: 0px;
}

.tools-inline li.selected a
{
color: #7C8685;
}

.tools-inline li.selected a:new
{
border: 0px;
}

#ca-talk a, .tools-inline li[id^="ca-nstab-"] a, #ca-edit a, #ca-history a
{
background-image: none;
padding: 0px;
}

/* Hide the Footer */
.mw-footer-container
{ display: none; }

#mw-content-container
{ 
border-bottom: 0px;
padding-bottom: 0px;
}

/* Darker Elements */
#mw-site-navigation .sidebar-chunk, #mw-content, #mw-related-navigation .sidebar-chunk
{
background: var(--medium-bg);
border-color: var(--medium-bg);
}

/* Medium-er Elements */
#mw-content-container
{ background: var(--medium-bg); }

/* Lighter Elements */
#mw-header-container, pre, .toc, .mw-editform #wpTextbox1
{ 
background: var(--light-bg);
color: var(--text);
border: 0px;
}

.tocnumber
{ color: var(--text); }

/* Homepage Hero Section */
.mp-hero
{
text-align: center;
padding: 1%;
}

.mp-header
{
font-size: 40px;
color: var(--red);
}